QGIS Application - Bug report #21461
QGIS cannot store master password in wallet/keyring
2019-03-04 01:17 AM - Cory Albrecht

Status: Feedback

Priority: Normal

Assignee:

Category: Authentication system

Affected QGIS version:3.4.5 Regression?: No
Operating System: Ubuntu 18.10 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 29278
Description

../..Isrc/core/qgsmessagelog.cpp:29 : (logMessage) [23002ms] 2019-03-03T19:15:29 Password Helper! Opening Wallet/KeyRing for
WRITE...

../..Isrc/core/qgsmessagelog.cpp:29 : (logMessage) [7ms] 2019-03-03T19:15:29 Password Helper? Error in Wallet/KeyRing: Storing
password in your Wallet/KeyRing failed: Unknown error.

../..Isrc/core/qgsmessagelog.cpp:29 : (logMessage) [17ms] 2019-03-03T19:15:29 Messages Password helper write :

Affects 3.45, 3.60 and 3.7

History

#1 - 2019-03-04 01:24 AM - Cory Albrecht

Wen trying to add a layer from a PostGIS connection that uses a stored auth config instead of saving the userid and password separately:

..I../src/providers/postgres/qgspostgresconn.cpp:216 : (QgsPostgresConn) [0ms] [thread:0x55d640e6e5e0] New PostgreSQL connection for
dbname="physgeo' host=pg1.db.cory.albrecht.name port=5432 ssimode=require authcfg=ou8c1bg
./../src/core/auth/ggsauthmanager.cpp:501 : (setMasterPassword) [0ms] [thread:0x55d640e6e5e0] Master password is not yet set by user
./../src/core/qgsmessagelog.cpp:29 : (logMessage) [0ms] [thread:0x55d640e6e5e0] 2019-03-03T19:21:57 Password Helper[1] Opening
Wallet/KeyRing for READ...

./../src/core/qgsmessagelog.cpp:29 : (logMessage) [3ms] [thread:0x55d640e6e5e0] 2019-03-03T19:21:57 Password Helper[1] Error in
Wallet/KeyRing: Retrieving password from your Wallet/KeyRing failed: Unknown error.

./../src/gui/ggscredentialdialog.cpp:112 : (requestMasterPassword) [Oms] [thread:0x55d640e6e5e0] emitting signal
./../src/core/qgsmessagelog.cpp:29 : (logMessage) [6ms] 2019-03-03T19:21:57 Messages[2] Authentication Manager : Retrieving password from
your Wallet/KeyRing failed: Unknown error.

../../src/gui/ggscredentialdialog.cpp:124 : (requestCredentialsMasterPassword) [1ms] Entering.

./../src/gui/ggscredentialdialog.cpp:156 : (requestCredentialsMasterPassword) [1ms] exec()

And then QGIS just hangs. This is even though the

#2 - 2019-03-05 03:49 PM - Giovanni Manghi
- Assignee deleted (Larry Shaffer)

@alessandro is this a previously unknown regression? | can't replicate trying store username/password.

#3 - 2019-03-06 02:59 PM - Alessandro Pasotti
#fn1
#fn1
#fn1

Nothing I'm aware of.

Are you on Ubuntu with the default window manager?

#4 - 2019-03-06 03:01 PM - Giovanni Manghi

- Status changed from Open to Feedback

#5 - 2019-03-06 04:35 PM - Alessandro Pasotti

Confirmed on ubuntu with default window manager.

Maybe related to:
https://github.com/qgis/QGIS/pull/9333

According to gdb, there is a deadlock in

QSglDatabase QgsAuthManager::authDatabaseConnection() const

#6 - 2019-03-06 05:17 PM - Cory Albrecht

I use Ubuntu 18.10. In the chooser by the green "Sign In" button there is a gear and it allows the choice of "GNOME", "GNOME on Xorg", "Ubuntu", and

"Ubuntu on Wayland". | use the "GNOME on Xorg" one, normally, though because | have a high dpi screen on my laptop (3840x2160), | occasionally

choose "GNOME" which starts Wayland instead of Xorg because it can occasionally make multi-monitor use easier especially with differing resolutions.

However, this error occurs on both. (I never choose the "Ubuntu” options.)
https://github.com/qgis/QGIS/pull/9333

